(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6189,        245]
NotebookOptionsPosition[      4474,        177]
NotebookOutlinePosition[      5234,        205]
CellTagsIndexPosition[      5150,        200]
WindowTitle->RSADecode
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["RSADecode", "ObjectName",
 Editable->True,
 Evaluatable->True,
 CellID->20164],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["RSADecode",
        BaseStyle->"Link",
        ButtonData->"paclet:RSA/ref/RSADecode"], "[", 
       StyleBox[
        RowBox[{"s", ",", "d", ",", "n"}], "TI"], "]"}]], "InlineFormula"],
     "\[LineSeparator]decodes the integer (or list) ",
     Cell[BoxData[
      FormBox[
       StyleBox["s", "TI"], TraditionalForm]], "InlineFormula"],
     " using the decoding inverse ",
     Cell[BoxData[
      FormBox[
       StyleBox["d", "TI"], TraditionalForm]], "InlineFormula"],
     " and the modulus ",
     Cell[BoxData[
      FormBox[
       StyleBox["n", "TI"], TraditionalForm]], "InlineFormula"],
     ". "
    }]]}
  }]], "Usage",
 Editable->True,
 Evaluatable->True,
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}}},
 CellID->3749]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 Editable->True,
 Evaluatable->True,
 CellTags->"PrimaryExamplesSection",
 CellID->219171678],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 Editable->True,
 Evaluatable->True,
 CellID->478955463],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<RSA`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->150947837],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "3896434047459753884141756676114176952193"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=", "1604414019542251599295416539794453703473"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"{", 
    RowBox[{
    "3081261592141514707078635767037485708313", ",", 
     "2563767438678624962546692365780479819398", ",", 
     "1481303699935116404246300034681768207590", ",", 
     "623591975796116912413017394986589704031", ",", 
     "2938612842861214551023921557974366563680"}], "}"}]}], ";"}]}], "Input",
 Editable->True,
 Evaluatable->True,
 CellLabel->"In[2]:=",
 CellID->8162292],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSADecode", "[", 
  RowBox[{"s", ",", "d", ",", "n"}], "]"}]], "Input",
 Editable->True,
 Evaluatable->True,
 CellLabel->"In[5]:=",
 CellID->645459982],

Cell[BoxData["\<\"The Magic Words are Squeamish Ossifrage.\"\>"], "Output",
 CellLabel->"Out[5]=",
 CellID->17363984]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 Editable->True,
 Evaluatable->True,
 CellID->17310],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox[
    StyleBox["RSAEncode",
     FontFamily->"Verdana"],
    BaseStyle->"Link",
    ButtonData->"paclet:RSA/ref/RSAEncode"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]", "InlineSeparator"]
}], "SeeAlso",
 Editable->True,
 Evaluatable->True,
 CellID->11119]
}, Open  ]],

Cell["", "History",
 Editable->True,
 Evaluatable->True],

Cell[" ", "FooterCell",
 Editable->True,
 Evaluatable->True]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 675},
WindowMargins->{{245, Automatic}, {Automatic, 0}},
WindowTitle->"RSADecode",
TaggingRules->{"SearchTextTranslated" -> ""},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Reference.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[1644, 63, 498, 15, 45, "PrimaryExamplesSection",
   Evaluatable->True,
   CellTags->"PrimaryExamplesSection",
   CellID->219171678]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 4986, 192}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 84, 3, 51, "ObjectName",
 Evaluatable->True,
 CellID->20164],
Cell[677, 28, 930, 30, 85, "Usage",
 Evaluatable->True,
 CellID->3749]
}, Open  ]],
Cell[CellGroupData[{
Cell[1644, 63, 498, 15, 45, "PrimaryExamplesSection",
 Evaluatable->True,
 CellTags->"PrimaryExamplesSection",
 CellID->219171678],
Cell[CellGroupData[{
Cell[2167, 82, 185, 7, 31, "ExampleSection",
 Evaluatable->True,
 CellID->478955463],
Cell[2355, 91, 112, 3, 28, "Input",
 CellID->150947837],
Cell[2470, 96, 669, 19, 137, "Input",
 Evaluatable->True,
 CellID->8162292],
Cell[CellGroupData[{
Cell[3164, 119, 175, 6, 28, "Input",
 Evaluatable->True,
 CellID->645459982],
Cell[3342, 127, 117, 2, 36, "Output",
 CellID->17363984]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3520, 136, 449, 14, 45, "SeeAlsoSection",
 Evaluatable->True,
 CellID->17310],
Cell[3972, 152, 364, 14, 17, "SeeAlso",
 Evaluatable->True,
 CellID->11119]
}, Open  ]],
Cell[4351, 169, 56, 2, 42, "History",
 Evaluatable->True],
Cell[4410, 173, 60, 2, 25, "FooterCell",
 Evaluatable->True]
}
]
*)

(* End of internal cache information *)

