(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6427,        255]
NotebookOptionsPosition[      4688,        186]
NotebookOutlinePosition[      5448,        214]
CellTagsIndexPosition[      5364,        209]
WindowTitle->RSAEncode
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["RSAEncode", "ObjectName",
 Editable->True,
 Evaluatable->True,
 CellID->20164],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["RSAEncode",
        BaseStyle->"Link",
        ButtonData->"paclet:RSA/ref/RSAEncode"], "[", 
       StyleBox[
        RowBox[{"m", ",", "e", ",", "n"}], "TI"], "]"}]], "InlineFormula"],
     "\[LineSeparator]turns the message-string ",
     Cell[BoxData[
      FormBox[
       StyleBox["m", "TI"], TraditionalForm]], "InlineFormula"],
     " into a number and then encodes that number by the RSA method using \
exponent ",
     Cell[BoxData[
      FormBox[
       StyleBox["e", "TI"], TraditionalForm]], "InlineFormula"],
     " and modulus ",
     Cell[BoxData[
      FormBox[
       StyleBox["n", "TI"], TraditionalForm]], "InlineFormula"],
     ". If ",
     Cell[BoxData[
      FormBox[
       StyleBox["m", "TI"], TraditionalForm]], "InlineFormula"],
     " is too long, then a list of integers is returned. "
    }]]}
  }]], "Usage",
 Editable->True,
 Evaluatable->True,
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}}},
 CellID->3749]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 Editable->True,
 Evaluatable->True,
 CellTags->"PrimaryExamplesSection",
 CellID->219171678],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 Editable->True,
 Evaluatable->True,
 CellID->478955463],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<RSA`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->150947837],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "3896434047459753884141756676114176952193"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e", "=", "17"}], ";"}]}], "Input",
 Editable->True,
 Evaluatable->True,
 CellLabel->"In[2]:=",
 CellID->8162292],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSAEncode", "[", 
  RowBox[{
  "\"\<The Magic Words are Squeamish Ossifrage.\>\"", ",", "e", ",", "n"}], 
  "]"}]], "Input",
 Editable->True,
 Evaluatable->True,
 CellLabel->"In[4]:=",
 CellID->645459982],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "3081261592141514707078635767037485708313", ",", 
   "2563767438678624962546692365780479819398", ",", 
   "1481303699935116404246300034681768207590", ",", 
   "623591975796116912413017394986589704031", ",", 
   "2938612842861214551023921557974366563680"}], "}"}]], "Output",
 Editable->True,
 Evaluatable->True,
 ImageSize->{184, 125},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->224303600]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 Editable->True,
 Evaluatable->True,
 CellID->17310],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox[
    StyleBox["RSADecode",
     FontFamily->"Verdana"],
    BaseStyle->"Link",
    ButtonData->"paclet:RSA/ref/RSADecode"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]", "InlineSeparator"]
}], "SeeAlso",
 Editable->True,
 Evaluatable->True,
 CellID->11119]
}, Open  ]],

Cell["", "History",
 Editable->True,
 Evaluatable->True],

Cell[" ", "FooterCell",
 Editable->True,
 Evaluatable->True]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 675},
WindowMargins->{{245, Automatic}, {Automatic, 0}},
WindowTitle->"RSAEncode",
TaggingRules->{"SearchTextTranslated" -> ""},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Reference.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[1848, 68, 498, 15, 45, "PrimaryExamplesSection",
   Evaluatable->True,
   CellTags->"PrimaryExamplesSection",
   CellID->219171678]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 5200, 201}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 84, 3, 51, "ObjectName",
 Evaluatable->True,
 CellID->20164],
Cell[677, 28, 1134, 35, 101, "Usage",
 Evaluatable->True,
 CellID->3749]
}, Open  ]],
Cell[CellGroupData[{
Cell[1848, 68, 498, 15, 45, "PrimaryExamplesSection",
 Evaluatable->True,
 CellTags->"PrimaryExamplesSection",
 CellID->219171678],
Cell[CellGroupData[{
Cell[2371, 87, 185, 7, 31, "ExampleSection",
 Evaluatable->True,
 CellID->478955463],
Cell[2559, 96, 112, 3, 28, "Input",
 CellID->150947837],
Cell[2674, 101, 258, 9, 47, "Input",
 Evaluatable->True,
 CellID->8162292],
Cell[CellGroupData[{
Cell[2957, 114, 228, 8, 28, "Input",
 Evaluatable->True,
 CellID->645459982],
Cell[3188, 124, 485, 14, 105, "Output",
 Evaluatable->True,
 CellID->224303600]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3734, 145, 449, 14, 45, "SeeAlsoSection",
 Evaluatable->True,
 CellID->17310],
Cell[4186, 161, 364, 14, 17, "SeeAlso",
 Evaluatable->True,
 CellID->11119]
}, Open  ]],
Cell[4565, 178, 56, 2, 42, "History",
 Evaluatable->True],
Cell[4624, 182, 60, 2, 25, "FooterCell",
 Evaluatable->True]
}
]
*)

(* End of internal cache information *)
